Qt 5.6 | Qt 3D | C++ Classes | QBufferFunctor

Qt 5.6.3 Reference Documentation

# QBufferFunctor Class

(Qt3DRender::QBufferFunctor)

Inherits: | QAbstractFunctor

- List of all members, including inherited members

## Public Functions

virtual | ~QBufferFunctor()
virtual QByteArray | operator()() = 0
virtual bool | operator==(const QBufferFunctor &other) const = 0

- 2 public functions inherited from Qt3DRender::QAbstractFunctor

## Member Function Documentation

### `[virtual]` QBufferFunctor::~QBufferFunctor()

Destroys the instance of QBufferFunctor. The destructor is virtual.

### `[pure virtual]` QByteArray QBufferFunctor::operator()()

### `[pure virtual]` bool QBufferFunctor::operator==(const QBufferFunctor &other) const